# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    print('installing Xming')
    versionsoft = control['version'].split('-',1)[0]
    versionsoftfile = versionsoft.replace('.','-')
    install_exe_if_needed("Xming-%s-setup.exe" % versionsoftfile,'/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',key='Xming_is1',min_version=versionsoft)

def update_package():

    proxies = {}
    if isfile(makepath(application_data(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    import requests
    for line in wgets('https://sourceforge.net/projects/xming/files/Xming/',proxies=proxies,timeout=30).splitlines() :
        if '                <tr title="' in line:
            version = line.replace('                <tr title="','').replace('" class="folder ">','')
            versionsoftfile = version.replace('.','-')
            break

    exes = glob.glob('*.exe')
    for fn in exes:
        if fn != 'Xming-' + versionsoftfile + '-setup.exe':
            remove_file(fn)

    if not isfile('Xming-' + versionsoftfile + '-setup.exe'):
        wget('https://sourceforge.net/projects/xming/files/Xming/%s/Xming-%s-setup.exe/download' % (version,versionsoftfile),'Xming-' + versionsoftfile + '-setup.exe',proxies=proxies,connect_timeout=30)
    else:
        print('Already up to date, skipped')

    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = version + '-0'
    pe.save_control_to_wapt(os.getcwd())

if __name__ == '__main__':
    update_package()